<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>CRUD courses</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <!-- Data table -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.25/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.25/js/dataTables.bootstrap4.min.js"></script>
  <!-- Các file css và js tự định nghĩa thêm -->
  <!-- <script src="script.js"></script> -->
</head>
<body>
     <!-- vùng header -->
     <div class="container-fluid">
        <div class="text-center text-warning mt-3">
            <h2>Courses List Management</h2>
        </div>
        <div class="form-group">
            <button class="btn btn-success" id="btn-add-new-course"><i class="fa fa-plus"></i>&nbsp; New Course</button>
        </div>
    </div>
    <!-- user data table -->
    <div class="container-fluid">
        <table id="course-table" class="table table-bordered table-striped table-hover">
            <thead class="thead-dark">
                <tr>
                    <th>STT</th>
                    <th>Cover Image</th>
                    <th>Course Code</th>
                    <th>Course Name</th>
                    <th>Level</th>
                    <th>Duration</th>
                    <th>Price</th>
                    <th>Discount Price</th>
                    <th>Teacher Name</th>
                    <th>Teacher Photo</th>
                    <th>Is Popular</th>
                    <th>Is Trending</th>
                    <th>Action</th>
                </tr>
            </thead>
        </table>
    </div>
    <!-- vùng modal -->
    <!-- Modal Add new course -->
    <div class="modal fade" id="modal-add-course" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Add New Course</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Course Code</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-create-coursecode" placeholder="Course Code"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Course Name</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-create-coursename" placeholder="Course Name"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Cover Image</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-create-coverimage" placeholder="Cover Image"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Level</label>
                            <div class="col-sm-8">
                                <select id="select-create-level" class="form-control">
                                    <option value="0">-- Level --</option>
                                    <option value="Beginner">Beginner</option>
                                    <option value="Intermediate">Intermediate</option>
                                    <option value="Advanced">Advanced</option>
                                </select>
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Popular</label>
                            <div class="col-sm-8">
                                <select id="select-popular" class="form-control">
                                    <option value="0">-- Popular --</option>
                                    <option value="true">True</option>
                                    <option value="false">False</option>
                                </select>
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Level</label>
                            <div class="col-sm-8">
                                <select id="select-trending" class="form-control">
                                    <option value="0">-- Trending --</option>
                                    <option value="true">True</option>
                                    <option value="false">False</option>
                                </select>
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Duration</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-create-duration" placeholder="Duration" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Teacher Name</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-create-teachername" placeholder="Teacher Name"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Teacher Photo</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-create-teacherphoto" placeholder="Teacher Photo"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Price</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-create-price" placeholder="Price" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Discount Price</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-create-discountprice" placeholder="Discount Price"
                                    class="form-control">
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button id="btn-create-course" class="btn btn-primary">Add Course</button>
                    <button id="btn-create-cancel" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal Update course -->
    <div class="modal fade" id="modal-update-course" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Update Course</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Course Code</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-edit-coursecode" placeholder="Course Code"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Course Name</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-edit-coursename" placeholder="Course Name"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Cover Image</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-edit-coverimage" placeholder="Cover Image"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Level</label>
                            <div class="col-sm-8">
                                <select id="select-edit-level" class="form-control">
                                    <option value="level">Level</option>
                                    <option value="Beginner">Beginner</option>
                                    <option value="Intermediate">Intermediate</option>
                                    <option value="Advanced">Advanced</option>
                                </select>
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Popular</label>
                            <div class="col-sm-8">
                                <select id="select-edit-popular" class="form-control">
                                    <option value="0">-- Popular --</option>
                                    <option value="true">True</option>
                                    <option value="false">False</option>
                                    
                                </select>
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Trending</label>
                            <div class="col-sm-8">
                                <select id="select-edit-trending" class="form-control">
                                    <option value="0">-- Trending --</option>
                                    <option value="true">True</option>
                                    <option value="false">False</option>
                                </select>
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Duration</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-edit-duration" placeholder="Duration" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Teacher Name</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-edit-teachername" placeholder="Teacher Name"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Teacher Photo</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-edit-teacherphoto" placeholder="Teacher Photo"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Price</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-edit-price" placeholder="Price" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-form-label col-sm-4">Discount Price</label>
                            <div class="col-sm-8">
                                <input type="text" id="inp-edit-discountprice" placeholder="Discount Price"
                                    class="form-control">
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button id="btn-update-course" class="btn btn-primary">Update Course</button>
                    <button id="btn-update-cancel" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Delete course modal -->
    <div>
        <div class="modal fade" tabindex="-1" id="modal-delete-course">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="h5-modal-title">Course Delete Confirmation</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <label>Are you sure you want to delete this course?</label>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-danger" id="btn-confirm-delete-course">Confirm</button>
                        <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

</body>
<script src="script.js"></script>
</html>